Index: CONFIG/UNIFORM/v6/IPSLCM6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2104)
+++ CONFIG/UNIFORM/v6/IPSLCM6/AA_make	(revision 2105)
@@ -15,30 +15,35 @@
 	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) ORCA2xLMD9695-L39 ; fi
 
-ORCA2xLMD4443 : libioipsl oasis3 liborchidee xios orca2 lmdz44x43x19 verif	
+ORCA2xLMD4443 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz44x43x19 verif	
 	echo "ORCA2xLMD4443" >.resol
 	echo "RESOL_ATM_3D=44x43x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD5655 : libioipsl oasis3 liborchidee xios orca2 lmdz56x55x19 verif	
+ORCA2xLMD5655 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz56x55x19 verif	
 	echo "ORCA2xLMD5655" >.resol
 	echo "RESOL_ATM_3D=56x55x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9671 : libioipsl oasis3 liborchidee xios orca2 lmdz96x71x19 verif	
+ORCA2xLMD9671 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz96x71x19 verif	
 	echo "ORCA2xLMD9671" >.resol
 	echo "RESOL_ATM_3D=96x71x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695 : libioipsl oasis3 liborchidee xios orca2 lmdz96x95x19 verif
+ORCA2xLMD9695 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz96x95x19 verif
 	echo "ORCA2xLMD9695" >.resol
 	echo "RESOL_ATM_3D=96x95x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695-L39 : libioipsl oasis3 liborchidee xios orca2 lmdz96x95x39 verif
+ORCA2LIM2xLMD9695-L39 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz96x95x39 verif
 	echo "ORCA2xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2nopisces lmdz96x95x39 verif
+ORCA2LIM3xLMD9695-L39 : libioipsl oasis3 liborchidee xios orca2lim3 lmdz96x95x39 verif
+	echo "ORCA2xLMD9695-L39" >.resol
+	echo "RESOL_ATM_3D=96x95x39" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2LIM2xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2lim2nopisces lmdz96x95x39 verif
 	echo "ORCA2xLMD9695-L39" >.resol
 	echo "RESOL_ATM_3D=96x95x39" >>.resol
@@ -46,10 +51,21 @@
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD144142 : libioipsl oasis3 liborchidee xios orca2 lmdz144x142x19 verif
+ORCA2LIM3xLMD9695-L39-NOPISCES : libioipsl oasis3 liborchidee xios orca2lim3nopisces lmdz96x95x39 verif
+	echo "ORCA2xLMD9695-L39" >.resol
+	echo "RESOL_ATM_3D=96x95x39" >>.resol
+	echo "NOPISCES" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD144142 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz144x142x19 verif
 	echo "ORCA2xLMD144142" >.resol
 	echo "RESOL_ATM_3D=144x142x19" >>.resol
 	echo "$(LIB_MPI)" >.libmpi
 
-ORCA2xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2 lmdz144x142x39 verif
+ORCA2LIM2xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2lim2 lmdz144x142x39 verif
+	echo "ORCA2xLMD144142-L39" >.resol
+	echo "RESOL_ATM_3D=144x142x39" >>.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2LIM3xLMD144142-L39 : libioipsl oasis3 liborchidee xios orca2lim3 lmdz144x142x39 verif
 	echo "ORCA2xLMD144142-L39" >.resol
 	echo "RESOL_ATM_3D=144x142x39" >>.resol
@@ -97,9 +113,15 @@
 	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis --job 16 ; )
 
-orca2: ../../modeles/NEMOGCM/CONFIG
+orca2lim2: ../../modeles/NEMOGCM/CONFIG
 	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
-orca2nopisces: ../../modeles/NEMOGCM/CONFIG
+orca2lim3: ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+
+orca2lim2nopisces: ../../modeles/NEMOGCM/CONFIG
 	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM/BLD/bin/nemo.exe ../../../bin/opa ; )
+
+orca2lim3nopisces: ../../modeles/NEMOGCM/CONFIG
+	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3 -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_coupled key_oasis3 key_diahth" ; cp ORCA2_LIM3/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin