Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD9695
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 2115)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namcouple_ORCA2xLMD9695	(revision 2116)
@@ -107,6 +107,6 @@
 # Field 1 : Weighted sea surface temperature (o->a 1)
 # 
-O_SSTSST  SISUTESW 1 86400  5  sstoc.nc  <output_mode> 
-torc  tlmd  LAG=5760
+O_SSTSST  SISUTESW 1 <freq_coupling>  5  sstoc.nc  <output_mode> 
+torc  tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -127,6 +127,6 @@
 # Field 2 : Sea ice extent  (o->a 2)
 #
-OIceFrc SIICECOV 44 86400  5  sstoc.nc <output_mode>
-torc  tlmd   LAG=5760
+OIceFrc SIICECOV 44 <freq_coupling>  5  sstoc.nc <output_mode>
+torc  tlmd   LAG=<lag_oce>
 P  2 P  0
 #
@@ -146,6 +146,6 @@
 # Field 3 : Weighted Sea Ice Temperature (o->a 3)
 #
-O_TepIce  SIICTEMW 34 86400  5  sstoc.nc  <output_mode>
-torc  tlmd   LAG=5760
+O_TepIce  SIICTEMW 34 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc  tlmd   LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -163,6 +163,6 @@
 # Field 4 : Weighted Sea ice albedo (o->a 4)
 #
-O_AlbIce  SIICEALW 17 86400  5  sstoc.nc  <output_mode>
-torc  tlmd  LAG=5760  
+O_AlbIce  SIICEALW 17 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc  tlmd  LAG=<lag_oce>  
 P  2 P  0
 #
@@ -181,6 +181,6 @@
 #
 # Field 5 : Current surface (o->a 5)
-O_OCurx1 CURRENTX 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
+O_OCurx1 CURRENTX 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -198,6 +198,6 @@
 #
 # Field 6 : Current surface (o->a 6)
-O_OCury1 CURRENTY 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
+O_OCury1 CURRENTY 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -214,6 +214,6 @@
 #
 # Field 7 : Current surface (o->a 7)
-O_OCurz1 CURRENTZ 321 86400  5  sstoc.nc  <output_mode>
-torc    tlmd  LAG=5760
+O_OCurz1 CURRENTZ 321 <freq_coupling>  5  sstoc.nc  <output_mode>
+torc    tlmd  LAG=<lag_oce>
 P  2 P  0
 LOCTRANS CHECKIN MOZAIC CHECKOUT REVERSE
@@ -236,5 +236,5 @@
 # Field 8 : wind stress along X axis (a->o 1)
 #
-COTAUXXU O_OTaux1 23 86400  6  flxat.nc   <output_mode>
+COTAUXXU O_OTaux1 23 <freq_coupling>  6  flxat.nc   <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -257,5 +257,5 @@
 # Field 9 : stress along Y axis (a->o 2)
 #
-COTAUYYU O_OTauy1 23 86400  6  flxat.nc  <output_mode>
+COTAUYYU O_OTauy1 23 <freq_coupling>  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -278,5 +278,5 @@
 # Field 10 :wind stress along Z axis (a->o 3)
 #
-COTAUZZU O_OTauz1 23 86400  6  flxat.nc  <output_mode>
+COTAUZZU O_OTauz1 23 <freq_coupling>  6  flxat.nc  <output_mode>
 tlmd    uorc  LAG=<lag_atm> 
 P  0 P  2
@@ -299,5 +299,5 @@
 # Field 11 : wind stress along X axis 2 (a->o 4)
 #
-COTAUXXV O_OTaux2  24 86400  6    flxat.nc  <output_mode>
+COTAUXXV O_OTaux2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm> 
 P  0 P  2
@@ -320,5 +320,5 @@
 # Field 12 : wind stress along Y axis 2 (a->o 5) 
 #
-COTAUYYV O_OTauy2  24 86400  6    flxat.nc  <output_mode>
+COTAUYYV O_OTauy2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm>
 P  0 P  2
@@ -341,5 +341,5 @@
 # Field 13 :  wind stress along Z axis 2 (a->o 6) 
 #
-COTAUZZV O_OTauz2  24 86400  6    flxat.nc  <output_mode>
+COTAUZZV O_OTauz2  24 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    vorc  LAG=<lag_atm>
 P  0 P  2
@@ -361,5 +361,5 @@
 # Field 14 :  wind speed 10m (a->o 7) 
 #
-COWINDSP O_Wind10  56 86400  6    flxat.nc  <output_mode>
+COWINDSP O_Wind10  56 <freq_coupling>  6    flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -382,5 +382,5 @@
 # Field 15 : Total rain (a->o 8)
 #
-COTOTRAI OTotRain 26 86400  4   flxat.nc   <output_mode>
+COTOTRAI OTotRain 26 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -399,5 +399,5 @@
 # Field 16 :  Total snow (a->o 9)
 #
-COTOTSNO  OTotSnow 28 86400  4   flxat.nc   <output_mode>
+COTOTSNO  OTotSnow 28 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -416,5 +416,5 @@
 # Field 17 : Total evap (a->o 10)
 #
-COTOTEVA  OTotEvap 25 86400  4   flxat.nc   <output_mode>
+COTOTEVA  OTotEvap 25 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -433,5 +433,5 @@
 # Field 18 : Evaporation Ice  (a->o 11)
 #
-COICEVAP OIceEvap 41 86400  4   flxat.nc   <output_mode>
+COICEVAP OIceEvap 41 <freq_coupling>  4   flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -450,5 +450,5 @@
 # Field 19 : Total solar heat flux (a->o 12)
 #
-COQSRMIX O_QsrMix  7 86400 4   flxat.nc  <output_mode>
+COQSRMIX O_QsrMix  7 <freq_coupling> 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -467,5 +467,5 @@
 # Field 20 : Total Non solar heat flux (a->o 13)
 #
-COQNSMIX O_QnsMix 6 86400  4   flxat.nc  <output_mode>
+COQNSMIX O_QnsMix 6 <freq_coupling>  4   flxat.nc  <output_mode>
 tlmd    torc   LAG=<lag_atm>
 P  0 P  2
@@ -484,5 +484,5 @@
 # Field 21 : solar heat flux on ice (a->o 14)
 #
-COSHFICE O_QsrIce  7 86400 4   flxat.nc  <output_mode>
+COSHFICE O_QsrIce  7 <freq_coupling> 4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -501,5 +501,5 @@
 # Field 22 : Non solar heat flux on ice (a->o 15)
 #
-CONSFICE O_QnsIce 6 86400  4  flxat.nc  <output_mode>
+CONSFICE O_QnsIce 6 <freq_coupling>  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -518,5 +518,5 @@
 # Field 23 : Non solar heat flux derivative (a->o 16)
 #
-CODFLXDT O_dQnsdT  35 86400  4   flxat.nc  <output_mode>
+CODFLXDT O_dQnsdT  35 <freq_coupling>  4   flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm>
 P  0 P  2
@@ -535,5 +535,5 @@
 # Field 24 : iceberg calving (a->o 17)
 #
-COCALVIN OCalving  36 86400  4  flxat.nc  <output_mode>
+COCALVIN OCalving  36 <freq_coupling>  4  flxat.nc  <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -552,5 +552,5 @@
 # Field 25 : liquid run-off (river + direct)  (a->o 18)
 #
-COLIQRUN  O_Runoff 32 86400  5  flxat.nc   <output_mode>
+COLIQRUN  O_Runoff 32 <freq_coupling>  5  flxat.nc   <output_mode>
 tlmd    torc  LAG=<lag_atm> 
 P  0 P  2
@@ -571,5 +571,5 @@
 # Field 26 : wind stress module (a->o 19)
 #
-##COTAUMOD  O_TauMod 466 86400  6   flxat.nc   <output_mode>
+##COTAUMOD  O_TauMod 466 <freq_coupling>  6   flxat.nc   <output_mode>
 ##tlmd    torc  LAG=<lag_atm> 
 ##P  0 P  2
Index: CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA2
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA2	(revision 2115)
+++ CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/namelist_ORCA2	(revision 2116)
@@ -140,4 +140,5 @@
    nn_fsbc     = 5         !  frequency of surface boundary condition computation
                            !     (also = the frequency of sea-ice model call)
+   nn_ice_dyn  = 1         !  frequency of call of ice dynamics ("key_lim2" or "key_lim3")			   
    ln_ana      = .false.   !  analytical formulation                    (T => fill namsbc_ana )
    ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
@@ -149,5 +150,8 @@
    nn_ice      = 2         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
-                           !  =2 ice-model used                         ("key_lim3" or "key_lim2)
+                           !  =2 ice-model used                         ("key_lim3" or "key_lim2")
+   cn_iceflx   = 'linear'  !  AUTO - 
+                           !  ="ave"    - Average flux over all ice categories ("key_lim3")
+                           !  ="linear" - Linear repartition of fluxes over ice categories ("key_lim3")
    nn_ice_embd = 0         !  AUTO - 
                            !  =0 levitating ice (no mass exchange, concentration/dilution effect)
@@ -247,13 +251,13 @@
 sn_snd_alb    =       'weighted ice'         ,    'no'    ,     ''      ,         ''           ,   ''
 sn_snd_thick  =       'none'                 ,    'no'   ,     ''      ,         ''           ,   ''
-sn_snd_crt    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
+sn_snd_crt    =       'weighted oce and ice' ,    'no'    , 'cartesian' , 'eastward-northward' ,  'T'
 sn_snd_co2    =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
-sn_rcv_w10m   =       'coupled'                 ,    'no'    ,     ''      ,         ''          ,   ''
-sn_rcv_taumod =       'none'              ,    'no'    ,     ''      ,         ''          ,   ''
-sn_rcv_tau    =       'mixed oce-ice'             ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
+sn_rcv_w10m   =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_taumod =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_tau    =       'mixed oce-ice'        ,    'no'    , 'cartesian' , 'eastward-northward',  'U,V'
 sn_rcv_dqnsdt =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
-sn_rcv_qsr    =       'conservative'          ,    'no'    ,     ''      ,         ''          ,   ''
-sn_rcv_qns    =       'conservative'          ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qsr    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
+sn_rcv_qns    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
 sn_rcv_emp    =       'conservative'         ,    'no'    ,     ''      ,         ''          ,   ''
 sn_rcv_rnf    =       'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''