Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card	(revision 2123)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim2.card	(revision 2124)
@@ -29,5 +29,5 @@
 [Post_1M_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, sim, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
@@ -38,5 +38,5 @@
 [Post_1D_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (iicethic, iicevelu, iicevelv, ileadfra)
 ChunckJob2D = 200Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2123)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/lim3.card	(revision 2124)
@@ -29,5 +29,5 @@
 [Post_1M_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, sim, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
@@ -38,5 +38,5 @@
 [Post_1D_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (iicethic, iicevelu, iicevelv, ileadfra)
 ChunckJob2D = 200Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2123)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/opa9.card	(revision 2124)
@@ -71,7 +71,9 @@
         (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
+# Monthly analysis
+
 [Post_1M_scalar]
 Patches = ()
-GatherWithInternal = ()
+GatherWithInternal = (time_average_1mo)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -82,5 +84,5 @@
 [Post_1M_grid_T]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
@@ -91,5 +93,5 @@
 [Post_1M_grid_U]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -100,5 +102,5 @@
 [Post_1M_grid_V]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
@@ -109,5 +111,5 @@
 [Post_1M_grid_W]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -118,5 +120,5 @@
 [Post_1M_diaptr]
 Patches = ()
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lat, time_average_1mo)
 TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
 ChunckJob2D = NONE
@@ -125,7 +127,9 @@
 Seasonal=ON
 
+# Daily analysis
+
 [Post_1D_grid_T]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
 TimeSeriesVars2D = (omldamax, sosstsst, tossq)
 ChunckJob2D = 200Y
@@ -136,5 +140,5 @@
 [Post_1D_grid_U]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -145,5 +149,5 @@
 [Post_1D_grid_V]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1d)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -152,2 +156,57 @@
 Seasonal=OFF
 
+## Yearly analysis
+
+[Post_1Y_scalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_average_1y)
+TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1Y_grid_T]
+Patches = (Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (rhopoto, rsds, thkcello, vosaline,votemper)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_grid_U]
+Patches = (Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_grid_V]
+Patches = (Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (vmo, vomecrty, vomeeivv)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_grid_W]
+Patches = (Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1y)
+TimeSeriesVars2D = (soleaeiw, soleahtw)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (difvmo, difvmto, difvtrto, voddmavs, voveeivw, votkeavt, vovecrtz, wmo, wmosq)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_diaptr]
+Patches = ()
+GatherWithInternal = (nav_lat, time_average_1y)
+TimeSeriesVars2D = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=ON
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2123)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl/COMP/pisces.card	(revision 2124)
@@ -46,5 +46,5 @@
 [Post_1M_ptrc_T]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -55,5 +55,5 @@
 [Post_1M_diad_T]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (Cflx, Dpco2, Dpo2, EPC100, EPCAL100, EPFE100, EPSI100, Heup, Irondep, Kg, Nfix, Oflx)
 ChunckJob2D = NONE
@@ -64,5 +64,5 @@
 [Post_1M_dbio_T]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = ( )
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (INTDIC, INTNFIX, INTPBFE, INTPBSI, INTPCAL, INTPNEW, INTPP, INTPPPHY, INTPPPHY2, O2MIN, ZO2MIN )
 ChunckJob2D = NONE