Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/lim2.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/lim2.card	(revision 2154)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/lim2.card	(revision 2155)
@@ -15,5 +15,5 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namelist_ice_${RESOL_OCE}, namelist_ice)
+List=	(${SUBMIT_DIR}/PARAM/namelist_lim2_${RESOL_OCE}, namelist_ice)
 
 [RestartFiles]
@@ -24,10 +24,10 @@
 
 [OutputFiles]
-List=   (ORCA2_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod), \
-        (ORCA2_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod)
+List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod), \
+        (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod)
 
 [Post_1M_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (bmelt, evap, grLateral, ialb, ice_pres, iicetemp, iicethic, iicevelu, iicevelv, ileadfra, isnowthi, prsn, rsdssi, sblsi, sim, snoToIce, snomelt, soicecov, strairx, strairy, tmelt, transifs, transix, transiy, tsice)
 ChunckJob2D = NONE
@@ -38,5 +38,5 @@
 [Post_1D_icemod]
 Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo, time_counter_bnds)
 TimeSeriesVars2D = (iicethic, iicevelu, iicevelv, ileadfra)
 ChunckJob2D = 200Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/opa9.card	(revision 2154)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/opa9.card	(revision 2155)
@@ -24,5 +24,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_salinity_nomask.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/geothermal_heating.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/runoff_1m_nomask.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/runoff_core_monthly.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/subbasins.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/chlaseawifs_c1m-99-05_smooth_ORCA_R2.nc, chlorophyll.nc),\
@@ -39,4 +39,6 @@
 List=	(${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}, namelist),       \
         (${SUBMIT_DIR}/PARAM/iodef.xml,             iodef.xml),      \
+        (${SUBMIT_DIR}/PARAM/field_def.xml,         field_def.xml),  \
+        (${SUBMIT_DIR}/PARAM/domain_def.xml,        domain_def.xml), \
         (${SUBMIT_DIR}/PARAM/xmlio_server.def,      xmlio_server.def)
 
@@ -45,17 +47,17 @@
 
 [OutputText]
-List=   (ocean.output, solver.stat, namelist, iodef.xml, xmlio_server.def)
+List=   (ocean.output, solver.stat, namelist, iodef.xml, field_def.xml, domain_def.xml, xmlio_server.def)
 #List=   (ocean.output, oceanx.prt, solver.stat)
 
 [OutputFiles]
 List=   (mesh_mask.nc      , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
-        (ORCA2_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, Post_1M_scalar),\
-        (ORCA2_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
-        (ORCA2_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
-        (ORCA2_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc, Post_1M_grid_V),\
-        (ORCA2_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, Post_1M_grid_W),\
-        (ORCA2_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc, Post_1D_grid_T),\
-        (ORCA2_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_1D_grid_U),\
-        (ORCA2_1d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_V.nc, Post_1D_grid_V),\
+        (${config_UserChoices_JobName}_1m_scalar.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc, Post_1M_scalar),\
+        (${config_UserChoices_JobName}_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
+        (${config_UserChoices_JobName}_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
+        (${config_UserChoices_JobName}_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc, Post_1M_grid_V),\
+        (${config_UserChoices_JobName}_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, Post_1M_grid_W),\
+        (${config_UserChoices_JobName}_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc, Post_1D_grid_T),\
+        (${config_UserChoices_JobName}_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_1D_grid_U),\
+        (${config_UserChoices_JobName}_1d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_V.nc, Post_1D_grid_V),\
         (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
         (damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc, NONE),\
@@ -65,5 +67,5 @@
 [Post_1M_scalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_counter_bnds)
+GatherWithInternal = (time_average_1mo)
 TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
 ChunckJob2D = NONE
@@ -73,6 +75,6 @@
 
 [Post_1M_grid_T]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_average_1mo)
 TimeSeriesVars2D = (evs, ficeberg, friver, fsitherm, hfcorr, hfevapds, hfibthermds, hfrainds, hfrunoffds, hfsithermds, hfsnthermds, nshfls, omlmax, pbo, pr, prsn, sfdsi, so20chgt, so28chgt, sohefldo, sohtc300, soicecov, somixhgt, somxl010, sosaline, soshfldo, sossheig, sosstsst, sotaumod, sowaflcd, sowaflup, sowindsp, tossq, vsfsit, wfcorr, zossq)
 ChunckJob2D = NONE
@@ -82,6 +84,6 @@
 
 [Post_1M_grid_U]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_average_1mo)
 TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
 ChunckJob2D = NONE
@@ -91,6 +93,6 @@
 
 [Post_1M_grid_V]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_average_1mo)
 TimeSeriesVars2D = (hfy, hfyba, hfydiff, sometauy)
 ChunckJob2D = NONE
@@ -100,6 +102,6 @@
 
 [Post_1M_grid_W]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_average_1mo)
 TimeSeriesVars2D = (soleaeiw, soleahtw)
 ChunckJob2D = NONE
@@ -118,6 +120,6 @@
 
 [Post_1D_grid_T]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = (omldamax, sosstsst, sosaline, sossheig, tossq)
 ChunckJob2D = 200Y
@@ -127,6 +129,6 @@
 
 [Post_1D_grid_U]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
@@ -136,6 +138,6 @@
 
 [Post_1D_grid_V]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_average_1mo)
 TimeSeriesVars2D = ()
 ChunckJob2D = 200Y
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 2154)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical/COMP/pisces.card	(revision 2155)
@@ -10,16 +10,19 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_DIC_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_Alkalini_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_O2_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_NO3_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_PO4_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_Si_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_DOC_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_Fer_nomask.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/dust.orca.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy.orca.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/river.orca.nc, .), \
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc, .)
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/par.orca.nc,             .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/presatm.nc,              .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/solubility.orca.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_DIC_nomask.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_Alkalini_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_O2_nomask.nc,       .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_NO3_nomask.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_PO4_nomask.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_Si_nomask.nc,       .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_DOC_nomask.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_Fer_nomask.nc,      .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/dust.orca.nc,            .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy.orca.nc,           .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/river.orca.nc,           .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc,     .)
 
 [SmoothFiles]
@@ -37,11 +40,11 @@
 
 [OutputFiles]
-List=   (ORCA2_1m_ptrc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc, Post_1M_ptrc_T), \
-        (ORCA2_1m_diad_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc, Post_1M_diad_T), \
-        (ORCA2_1m_dbio_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_dbio_T.nc, Post_1M_dbio_T)
+List=   (${config_UserChoices_JobName}_1m_ptrc_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc, Post_1M_ptrc_T), \
+        (${config_UserChoices_JobName}_1m_diad_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc, Post_1M_diad_T), \
+        (${config_UserChoices_JobName}_1m_dbio_T.nc, ${R_OUT_MBG_O_M}/${PREFIX}_1M_dbio_T.nc, Post_1M_dbio_T)
 
 [Post_1M_ptrc_T]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_average_1mo)
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
@@ -51,6 +54,6 @@
 
 [Post_1M_diad_T]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_average_1mo)
 TimeSeriesVars2D = (Cflx, Dpco2, Dpo2, EPC100, EPCAL100, EPFE100, EPSI100, Heup, Irondep, Kg, Nfix, Oflx)
 ChunckJob2D = NONE
@@ -60,6 +63,6 @@
 
 [Post_1M_dbio_T]
-Patches = (Patch_20091118_mask)
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_counter_bnds)
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_average_1mo)
 TimeSeriesVars2D = (INTDIC, INTNFIX, INTPBFE, INTPBSI, INTPCAL, INTPNEW, INTPP, INTPPPHY, INTPPPHY2, O2MIN, ZO2MIN )
 ChunckJob2D = NONE