Index: TOOLS/SURPACK_IPSL/SaveNewSimuPack.sh
===================================================================
--- TOOLS/SURPACK_IPSL/SaveNewSimuPack.sh	(revision 2160)
+++ TOOLS/SURPACK_IPSL/SaveNewSimuPack.sh	(revision 2160)
@@ -0,0 +1,136 @@
+#!/bin/bash
+
+
+# 1- faire un mv de la simu d'origine en JobName.BF (BF = Before Pack)
+# 2- copier sur le store la simu repackee sur Pseudo_dmnfs_store
+# 3- effacer dans JobName_BF les fichiers contenus dans les listes correctement traitees
+
+#----------------------------------------------------------------
+#----------------------------------------------------------------
+# On renseigne les variables d'environnement 
+. load_ipslPack_env.sh
+
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
+
+SCRIPT_NAME=$(basename ${0} )
+
+export IGCM_TMP="${IGCM_DEM}/tmp"  # gpdebug : added
+
+export config_card=${IGCM_DEM}/config_card.liste
+
+source ${EXE_DIR}/DEM_utilities.sh
+#----------------------------------------------------------------
+#----------------------------------------------------------------
+
+# Gestion de l'option de lancement 
+# si -R --> alors on active le stockage sur le store et le remove des anciennes donnees
+
+execRmv=0
+while [ $# -gt 0 ]
+do
+    case $1 in
+	-h) echo "script permettant de creer la liste des fichiers a effacer sur le store"
+	    echo "-rmv  : le surpack est copie sur le store et les anciennes donnees surpackees sont effacees"
+	    ;;
+	-rmv) execRmv=1 
+	    ;;
+	*) echo "option non reconnue"
+	    exit
+	    ;;
+    esac
+    shift
+done
+
+
+
+# liste des simus 
+totalNbOfList=0
+for CONFIG in $( awk '{print $1}' ${IGCM_DEM}/config_card.liste )
+do
+    PATH_SIMU=$( dirname $CONFIG )
+    nbListInConfig=`find $PATH_SIMU -name "*list" | wc -l `
+    totalNbOfList=$(( $totalNbOfList + $nbListInConfig ))
+
+
+# liste des tar RESTART et DEBUG a effacer 
+    config_card=$PATH_SIMU/config_card_*
+    eval $(grep PATH_SIMUL_FULL ${config_card}) 
+    eval $(grep IGCM_DEM_SIMU ${config_card})
+    eval $(grep JobName ${config_card}) 
+    
+    SIMU=${PATH_SIMUL_FULL}
+    SIMU_BF=${SIMU}.BF
+    
+    LITTLE_PATH=`echo $PATH_SIMUL_FULL | sed  "s%${INPUT_DMF_DATA}%%"`
+
+
+    cd ${USER_OUTPUT_PROGRESS}
+    find . -name "removedFiles*" > liste_files.txt
+    rmv_file_bis=${USER_OUTPUT_PROGRESS}/rmv_afterSurPack.txt
+    rm -f ${rmv_file_bis}
+    for removedfile in `awk '{print $0}' liste_files.txt`; do 
+	rmv_file=${removedfile}
+
+
+	if [[ -f  ${rmv_file_bis} ]] ; then 
+	    cp ${rmv_file} ${rmv_file_bis}
+	else
+	    cat  ${rmv_file} >> ${rmv_file_bis}
+	fi
+	
+	mkdir -p ${IGCM_DEM_SIMU}/restart_rmv
+	rm -rf ${IGCM_DEM_SIMU}/restart_rmv/*
+	for archive in  `awk '{print $2}' ${IGCM_DEM_SIMU}/liste_restart_files_config.txt`; do 
+	    not_rmv=0
+	    ccc_hsm get $archive
+	    tar tf $archive > ${IGCM_DEM_SIMU}/restart_rmv/archive.rmv
+	    for fichier in  `awk '{print $0}' ${IGCM_DEM_SIMU}/restart_rmv/archive.rmv`; do 
+		FindFile=`grep $fichier $rmv_file`
+		if [ "X$FindFile" == "X" ]; then
+		    echo "$archive tar to be conserved"
+		    not_rmv=1
+		fi 
+	    done
+	    if [ $not_rmv == 0 ] ; then 
+		echo "rm -f $archive" >> ${rmv_file_bis}
+	    fi
+	    rm -f ${IGCM_DEM_SIMU}/restart_rmv/archive.rmv
+	done
+	
+	mkdir -p ${IGCM_DEM_SIMU}/debug_rmv
+	rm -rf ${IGCM_DEM_SIMU}/debug_rmv/*
+	for archive in  `awk '{print $0}' ${IGCM_DEM_SIMU}/liste_debug_files_config.txt`; do 
+	    not_rmv=0
+	    ccc_hsm get $archive
+	    tar tf $archive > ${IGCM_DEM_SIMU}/debug_rmv/archive.rmv
+	    for fichier in  `awk '{print $0}' ${IGCM_DEM_SIMU}/debug_rmv/archive.rmv`; do 
+		FindFile=`grep $fichier $rmv_file`
+		if [ "X$FindFile" == "X" ]; then
+		    echo "$archive tar to be conserved"
+		    not_rmv=1
+		fi 
+	    done
+	    if [ $not_rmv == 0 ] ; then 
+		echo "rm -f $archive" >> ${rmv_file_bis}
+	    fi
+	    rm -f ${IGCM_DEM_SIMU}/debug_rmv/archive.rmv
+	done
+    done
+    sed -i -e "s%${SIMU}\/%${SIMU_BF}\/%g" ${rmv_file_bis}
+    chmod 755 ${rmv_file_bis}
+
+
+    if [[ $execRmv == 1 ]] ; then 
+# sauver l'ancienne version 
+	mv ${SIMU} ${SIMU_BF}
+#copier sur le store la nouvelle
+	mv ${OUTPUT_STORE}${LITTLE_PATH}  ${SIMU}
+#copie du repertoire Exe qui ne change pas 
+	cp -r ${SIMU_BF}/Exe ${SIMU}/.
+# effacer dans l'ancienne version les fichiers de rmv_file_bis
+	${rmv_file_bis}
+    fi 
+done
+echo $totalNbOfList
+
Index: TOOLS/SURPACK_IPSL/archive_debug.sh
===================================================================
--- TOOLS/SURPACK_IPSL/archive_debug.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/archive_debug.sh	(revision 2160)
@@ -69,4 +69,5 @@
     ccc_hsm get $archive
     tar tf $archive >> ${IGCM_TMP}/${$}.new_liste_debug_files.txt
+    tar xf $archive
 done
 
Index: TOOLS/SURPACK_IPSL/archive_restart.sh
===================================================================
--- TOOLS/SURPACK_IPSL/archive_restart.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/archive_restart.sh	(revision 2160)
@@ -82,4 +82,5 @@
     ccc_hsm get $archive
     tar tf $archive >> ${IGCM_TMP}/${$}.new_liste_restart_files.txt
+    tar xf $archive
 done
 
Index: TOOLS/SURPACK_IPSL/create_config_card.sh
===================================================================
--- TOOLS/SURPACK_IPSL/create_config_card.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/create_config_card.sh	(revision 2160)
@@ -53,8 +53,17 @@
     rm -rf ${IGCM_DEM_SIMU}/*
 
-### note dans cette version on ne gere pas les fichiers Analyse / Monitoring ils sont deja la ou il faut et comme il faut
+    STORE_CP=${IGCM_DEM_SIMU}/store_cp
+    mkdir -p ${STORE_CP}
+
+### note dans cette version on ne gere pas les fichiers Monitoring ils sont deja la ou il faut et comme il faut
     # on recherche le nom du job
     JobName=""
     
+
+    # Etablir la liste des fichiers d'Analyse
+    grep ${PATH_SIMUL_FULL}/ ${LISTE_DMNFS} | grep Analyse  | awk '{print $3}' |  sort >> ${IGCM_TMP}/${$}.cp_analyse_files.list
+    awk -F/ '{if ($(NF)=="Analyse") print $0} ' ${IGCM_TMP}/${$}.cp_analyse_files.list > ${STORE_CP}/cp_files.list
+    rm -f ${IGCM_TMP}/${$}.cp_analyse_files.list
+
 
     # Etablir la liste des fichiers de restart
Index: TOOLS/SURPACK_IPSL/launch_ipsl_enlarge.sh
===================================================================
--- TOOLS/SURPACK_IPSL/launch_ipsl_enlarge.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/launch_ipsl_enlarge.sh	(revision 2160)
@@ -10,5 +10,5 @@
 #MSUB -q mono
 
-# ex : ./launch_ipsl_enlarge.sh
+# ex : ./launch_ipsl_enlarge.sh param_ACA.txt
 
 # Est-on sur ulam (machine de l'IDRIS) ?
Index: TOOLS/SURPACK_IPSL/launch_ipsl_pack.sh
===================================================================
--- TOOLS/SURPACK_IPSL/launch_ipsl_pack.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/launch_ipsl_pack.sh	(revision 2160)
@@ -28,17 +28,39 @@
 execEveryStep=0
 LISTE_SIMUL_ARG=
+Question=n
+continuePack=y
 while [ $# -gt 0 ]
 do
-   echo "boucle sur les arguments du script ..."
-   echo "@=$@"
-   case $1 in
-   -f)  execEveryStep=1 
-        echo "force..."
-	;;
-   *)  LISTE_SIMUL_ARG=${1} 
-       echo "autres..."
-       ;;
-   esac
-   shift
+    echo "boucle sur les arguments du script ..."
+    echo "@=$@"
+    case $1 in
+	-h)  cat <<fin
+ce script permet de trouver une frequence de pack plus longue pour une simulation donnee
+IMPORTANT : avant de lancer ce script vous devez configurer le fichier load_ipslPack_env.sh
+
+Usage : ./launch_ipsl_pack.sh param.txt 
+avec param.txt contenant le path de la simulation. Ex : 
+vi param.txt ; /ccc/store/cont003/dsm/p86cozic/IGCM_OUT/IPSLCM5A/PROD/historical/CM51989.2
+ATTENTION : il ne faut pas de "/" en fin du path
+
+options de lancement : 
+-h : manuel d'utilisation 
+-f : possibilite de forcer le redemarrage du script au debut   
+-v : mode dans lequel apres le calcul de la nouvelle frequence, le script propose a l'utilisateur
+    de continuer ou non (donc de creer les nouvelles listes de fichiers à packer ou non) 
+
+fin
+	    exit;;
+	-f)  execEveryStep=1 
+            echo "force..."
+	    ;;
+	-v)  Question=y
+	    echo "nous nous arreterons apres le calcul de la frequence pour vous laisser le choix de continuer ou non"
+	    ;;
+	*)  LISTE_SIMUL_ARG=${1} 
+	    echo "autres..."
+	    ;;
+    esac
+    shift
 done
 export execEveryStep=${execEveryStep}
@@ -52,12 +74,6 @@
 if [ "x${LISTE_SIMUL_ARG}" == "x" ]
 then
-    if [ -f /ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt ]
-    then
-	echo "The file used is /ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt" 
-	LISTE_SIMUL="/ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt" 
-    else	
-	echo "Vous devez passer un fichier en parametre"
-	exit 1
-    fi
+    echo "Vous devez passer un fichier en parametre"
+    exit 1
 else
     LISTE_SIMUL=${LISTE_SIMUL_ARG}
@@ -66,8 +82,7 @@
 LISTE_SIMUL_NAME=$(basename ${LISTE_SIMUL} )
 # fichier de progression d'execution
-ficParam=$( basename ${LISTE_SIMUL} ) # gpdebug : modif ici et ligne d'apres
+ficParam=$( basename ${LISTE_SIMUL} ) 
 extSuiviListes=`echo ${ficParam} | sed 's;\.[[:alnum:]]*$;;' `
 
-##### gpdebug : fin #####################################
 
 export JOB_DIR=${TMP_MIGR_DATA}
@@ -159,8 +174,34 @@
 	DEM_log -3  "la simulation est superieur a 1Go alors on pack"
 	${EXE_DIR}/find_size_pack.sh   ${CONFIG} ${LISTE_DMNFS}
-	${EXE_DIR}/write_liste_pack.sh ${CONFIG} ${LISTE_DMNFS}
-	${EXE_DIR}/archive_restart.sh ${CONFIG} ${LISTE_DMNFS}
-	${EXE_DIR}/archive_debug.sh ${CONFIG} ${LISTE_DMNFS}
-
+	freq=$(cat ${IGCM_DEM_SIMU}/period_pack.txt)
+	if [[ "$Question" == "y" ]]; then 
+	    echo -e "L'outil de surpack vous propose une nouvelle frequence de pack de :  ${freq} annees "
+	    echo -e "voulez vous continuer ? "
+	    echo -n "(y/n) ? "
+	    read ContinueAnswer
+	    case ${ContinueAnswer} in      
+		oui|OUI|o|y|yes|YES)
+                    echo "OK nous continuons"
+		    continuePack=y
+                    ;;
+		non|NON|n|no|NO)
+                    echo "OK nous arretons tout"
+		    continuePack=n
+                    ;;
+		*)
+                    echo "I did not recognize your answer."
+                    echo "Please respond: oui|OUI|o|y|yes|YES"
+                    echo "Or please respond: non|NON|n|no|NO"
+                    exit
+                    ;;
+            esac
+	fi
+	
+	if [[ "$continuePack" == "y" ]] ; then 
+	    ${EXE_DIR}/write_liste_pack.sh ${CONFIG} ${LISTE_DMNFS}
+	    ${EXE_DIR}/archive_restart.sh ${CONFIG} ${LISTE_DMNFS}
+	    ${EXE_DIR}/archive_debug.sh ${CONFIG} ${LISTE_DMNFS}
+	fi
+	    
     fi
 done
Index: TOOLS/SURPACK_IPSL/load_batch_directives.sh
===================================================================
--- TOOLS/SURPACK_IPSL/load_batch_directives.sh	(revision 2149)
+++ TOOLS/SURPACK_IPSL/load_batch_directives.sh	(revision 2160)
@@ -2,19 +2,19 @@
 
 # Directives Batch pour le code parallele
-export nbProcs="16"
+export nbProcs="4"
 
 # Duree max des traitements pour une instance du script "launch_and_measureTime.sh"
-export computationTime="1500"
+export computationTime="86400"
 
 # Si on est a "timeLimitBeforeEnd" de la fin des traitements (la duree max
 # des traitements est indique par la variable "computationTime"),
 # tout proc mpi ayant fini sa tache s'arrete.
-export timeLimitBeforeEnd="50"
+export timeLimitBeforeEnd="3600"
 
-export projectName="tgcc0013"
+export projectName="gen2211"
 
-export queueType="standard"
+export queueType="xlarge"
 
-export QosType="test"
+export QosType="normal"
 
 export corePerProc="1"