Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 2167)
+++ modipsl/trunk/util/mod.def	(revision 2168)
@@ -204,5 +204,5 @@
 #-C- LMDZOR_v5  LMDZ5/trunk                           1729               11 LMDZ       modeles
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
-#-C- LMDZOR_v5  tags/libIGCM_v2.1                     HEAD               10 libIGCM    .
+#-C- LMDZOR_v5  tags/libIGCM_v2.1.1                   HEAD               10 libIGCM    .
 
 
@@ -216,5 +216,5 @@
 #-C- LMDZOR_v5.2  CONFIG/UNIFORM/v5/LMDZOR_v5.2       HEAD               8  LMDZOR_v5.2 config
 #-C- LMDZOR_v5.2  trunk/ORCHIDEE_OL                   HEAD		 14 ORCHIDEE_OL config
-#-C- LMDZOR_v5.2  tags/libIGCM_v2.1                   HEAD               10 libIGCM     .
+#-C- LMDZOR_v5.2  tags/libIGCM_v2.1.1                 HEAD               10 libIGCM     .
 
 #-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
@@ -226,5 +226,5 @@
 ##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.1                 HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.1.1               HEAD               10 libIGCM    .
 
 #---- Configuraion with only LMDZ
@@ -235,5 +235,5 @@
 #-C- LMDZ_v5  LMDZ5/trunk                         1729               11 LMDZ       modeles
 #-C- LMDZ_v5  CONFIG/UNIFORM/v5/LMDZ_v5           HEAD               8  LMDZ_v5    config
-#-C- LMDZ_v5  tags/libIGCM_v2.1                   HEAD               10 libIGCM    .
+#-C- LMDZ_v5  tags/libIGCM_v2.1.1                 HEAD               10 libIGCM    .
 
 
@@ -342,8 +342,8 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.1
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.1.1
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_1/src			   HEAD        8  IOIPSL/src			modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.1  		       	   HEAD       10  libIGCM         		.
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.1.1  		       	   HEAD       10  libIGCM         		.
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 HEAD       14  ORCHIDEE			modeles
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL              HEAD       14  ORCHIDEE_OL			modeles
@@ -358,8 +358,8 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.1
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.1.1
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/tags/v2_2_2/src	               HEAD        8 IOIPSL/src			modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.1      		       HEAD       10 libIGCM			.
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.1.1      		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 HEAD       14 ORCHIDEE			modeles
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL              HEAD       14 ORCHIDEE_OL		modeles
@@ -377,9 +377,9 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL with trunk rev 1932
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.1
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.1.1
 #-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/trunk/src                         1932    8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.1                        HEAD   10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.1.1                      HEAD   10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       14 .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL              ?       14 .
@@ -397,8 +397,8 @@
 #-H- ORCHIDEE_trunk  ORCHIDEE trunk HEAD (possible to be use with rev 1042 or later)
 #-H- ORCHIDEE_trunk  IOIPSL tag v2_2_2 
-#-H- ORCHIDEE_trunk  libIGCM tag v2.1 
+#-H- ORCHIDEE_trunk  libIGCM tag v2.1.1 
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_2/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  tags/libIGCM_v2.1                        HEAD     10 libIGCM            .
+#-C- ORCHIDEE_trunk  tags/libIGCM_v2.1.1                      HEAD     10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config