Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2183)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2184)
@@ -17,8 +17,8 @@
 	
 [BoundaryFiles]
-List=	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2184)
@@ -59,6 +59,6 @@
 
 
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 2184)
@@ -59,6 +59,6 @@
 
 
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2183)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2184)
@@ -17,8 +17,8 @@
 	
 [BoundaryFiles]
-List=	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2184)
@@ -58,7 +58,6 @@
 List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
 
-
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/inca.card	(revision 2184)
@@ -16,9 +16,10 @@
 List= ()
 	
+
 [BoundaryFiles]
-List=	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/AER/COMP/lmdz.card	(revision 2184)
@@ -58,7 +58,6 @@
 List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
 
-
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/GES/COMP/lmdz.card	(revision 2184)
@@ -58,7 +58,6 @@
 List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
 
-
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/HELIUM/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/HELIUM/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/HELIUM/COMP/lmdz.card	(revision 2184)
@@ -58,7 +58,6 @@
 List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
 
-
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/inca.card	(revision 2184)
@@ -17,8 +17,8 @@
 	
 [BoundaryFiles]
-List=	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+List=	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/npp.nc		,   npp.nc		)\
Index: CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2183)
+++ CONFIG/UNIFORM/v5_dev/LMDZORINCA_v5/HELIUM/LMDZORINCA_v5/EXPERIMENTS/LMDZORINCA/NMHC_AER/COMP/lmdz.card	(revision 2184)
@@ -58,7 +58,6 @@
 List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc , limit.nc)
 
-
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/u_ecmwf_${year}${month}.nc 	, u.nc		),\
+#	(/ccc/work/cont003/subipsl/subipsl/ECMWF${RESOL_ATM_XY}/AN${year}/v_ecmwf_${year}${month}.nc 	, v.nc		)
  
 ListNonDel= ()